### Class

# Foundry VcsRemote

#### Description [src]

    abstract class Foundry.VcsRemote : GObject.Object
    {
      /* No available fields */
    }

Abstract base class for version control system remote repository implementations.

FoundryVcsRemote provides the core interface for interacting with remote repositories in version control systems. Concrete implementations handle specific VCS protocols and provide unified access to remote repository operations such as fetching, pushing, and cloning.

#### Ancestors

- GObject

#### Descendants

- FoundryGitRemote

#### Instance methods

###### foundry_vcs_remote_dup_name

No description available.

###### foundry_vcs_remote_dup_uri

No description available.

since: 1.1

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Foundry.VcsRemote:name

No description available.

###### Foundry.VcsRemote:uri

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryVcsRemoteClass {
      GObjectClass parent_class;
      char* (* dup_name) (
        FoundryVcsRemote* self
      );
      char* (* dup_uri) (
        FoundryVcsRemote* self
      );

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.

`dup_name: char* (* dup_name) ( FoundryVcsRemote* self )`

  No description available.

`dup_uri: char* (* dup_uri) ( FoundryVcsRemote* self )`

  No description available.

#### Virtual methods

###### Foundry.VcsRemoteClass.dup_name

No description available.

###### Foundry.VcsRemoteClass.dup_uri

No description available.

since: 1.1